summaryrefslogtreecommitdiffstats
path: root/deliveries/os_docker_push.sh
diff options
context:
space:
mode:
authorst782s <statta@research.att.com>2018-01-30 17:29:36 -0500
committerst782s <statta@research.att.com>2018-02-01 15:10:02 -0500
commit21a8761f684745bb300e075c7e98ad897ace9eed (patch)
tree6d585c3fe39fbb42a314941dbc8646e6ccf188cf /deliveries/os_docker_push.sh
parent3af8af1310d5a27cb58be29505573f0bbdc1717c (diff)
Security/ Package Name changes
Issue-ID: PORTAL-174, PORTAL-157, PORTAL-156, PORTAL-148, PORTAL-145, PORTAL-140, PORTAL-133, PORTAL-121, PORTAL-111, PORTAL-88 Includes security fixes, Role Centralization, replace certain ECOMP occurrences etc Change-Id: I3c8b706709c6b92e646e3cbe50c2d660e8a46ef4 Signed-off-by: st782s <statta@research.att.com>
Diffstat (limited to 'deliveries/os_docker_push.sh')
-rwxr-xr-xdeliveries/os_docker_push.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/deliveries/os_docker_push.sh b/deliveries/os_docker_push.sh
index 30bd3dc7..39035199 100755
--- a/deliveries/os_docker_push.sh
+++ b/deliveries/os_docker_push.sh
@@ -4,8 +4,16 @@
# be verbose
set -x
+# Establish environment variables
+source $(dirname $0)/.env
+
+if [ -z "$PORTAL_VERSION" ]; then
+ echo "PORTAL_VERSION not set"
+ exit 1
+fi
+
TIMESTAMP=$(date +%C%y%m%dT%H%M%S)
-export VERSION="1.3.0-SNAPSHOT-${TIMESTAMP}"
+export VERSION="${PORTAL_VERSION}-${TIMESTAMP}"
export LATEST="latest"
exec ./os_docker_base.sh